Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class SegmentSetMutualIntersector

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentSetMutualIntersector

Direct Known Subclasses:
  MCIndexSegmentSetMutualIntersector, SimpleSegmentSetMutualIntersector

    public abstract class SegmentSetMutualIntersector

extends java.lang.Object

An intersector for the red-blue intersection problem. In this class of line arrangement problem, two disjoint sets of linestrings are provided. It is assumed that within each set, no two linestrings intersect except possibly at their endpoints. Implementations can take advantage of this fact to optimize processing.

Version:
  1.10
Author:
  Martin Davis

Field Summary
`protected SegmentIntersector` | `segInt`

Constructor Summary
`SegmentSetMutualIntersector()`

Method Summary
`abstract void` | `process(java.util.Collection segStrings)` Computes the intersections for two collections of `SegmentString`s.
`abstract void` | `setBaseSegments(java.util.Collection segStrings)`
`void` | `setSegmentIntersector(SegmentIntersector segInt)` Sets the `SegmentIntersector` to use with this intersector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### segInt

    protected SegmentIntersector segInt

Constructor Detail

### SegmentSetMutualIntersector

    public SegmentSetMutualIntersector()

Method Detail

### setSegmentIntersector

    public void setSegmentIntersector(SegmentIntersector segInt)

  Sets the `SegmentIntersector` to use with this intersector. The SegmentIntersector will either rocord or add intersection nodes for the input segment strings.

  Parameters:
    `segInt` - the segment intersector to use

### setBaseSegments

    public abstract void setBaseSegments(java.util.Collection segStrings)

  Parameters:
    `segStrings0` - a collection of `SegmentString`s to node

### process

    public abstract void process(java.util.Collection segStrings)

  Computes the intersections for two collections of `SegmentString`s.

  Parameters:
    `segStrings1` - a collection of `SegmentString`s to node

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD